<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:focusableInTouchMode="false"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <include layout="@layout/navigationbar" />

    <com.epson.cameracopy.printlayout.PreviewView
        android:id="@+id/previewImageView"
        android:background="@color/all_white"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@+id/preview_papersetting"
        android:layout_below="@+id/navigation_bar" />

    <LinearLayout
        android:id="@+id/function_bar"
        style="@style/FunctionBar">

        <Button
            android:id="@+id/rotate_button"
            android:text="@string/rotate_button"
            style="@style/FunctionButton.Normal" />

        <Button
            android:id="@+id/paper_size_button"
            android:text="@string/paper_size_button"
            style="@style/FunctionButton.Normal" />

        <TextView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1" />

        <Button
            android:id="@+id/print_button"
            android:text="@string/print_button"
            style="@style/FunctionButton.Execute" />
    </LinearLayout>

    <RelativeLayout
        android:id="@+id/preview_papersetting"
        android:background="@color/background_preview"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_above="@+id/function_bar">

        <ImageView
            android:id="@+id/icon_papermissmatch"
            android:background="@drawable/ic_exclamation"
            android:visibility="invisible"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:layout_alignParentLeft="true"
            android:contentDescription="paper mismatch" />

        <LinearLayout
            android:orientation="vertical"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_toRightOf="@+id/icon_papermissmatch">

            <TextView
                android:textSize="12sp"
                android:textColor="@color/all_black"
                android:id="@+id/paper_size_text"
                android:paddingLeft="5dp"
                android:paddingRight="5dp"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="Paper:"
                android:singleLine="true" />

            <TextView
                android:textSize="12sp"
                android:textColor="@color/all_black"
                android:id="@+id/printtarget_size_text"
                android:paddingLeft="5dp"
                android:paddingRight="5dp"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="Manuscript: "
                android:singleLine="true" />

            <TextView
                android:textSize="12sp"
                android:textColor="@color/all_black"
                android:id="@+id/scale_text"
                android:paddingLeft="5dp"
                android:paddingRight="5dp"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="Scale:"
                android:singleLine="true" />
        </LinearLayout>
    </RelativeLayout>
</RelativeLayout>
